{% extends 'mainApp/base.html' %}

{% block left_menu_items %}
	{% if user.role.permissions.CALLS_READ %}<a href="/calls/" class="item noselect nostyle"><div class="fas fa-phone"></div><p>Звонки</p></a>{% endif %}
	{% if user.role.permissions.CLIENTS_READ %}<a href="/clients/" class="item inline noselect nostyle"><div class="fas fa-users"></div><p>Клиенты</p></a>{% endif %}
	{% if user.role.permissions.USERS_READ %}<a href="/users/" class="item noselect nostyle hl-left"><div class="fas fa-user-friends"></div><p>Сотрудники</p></a>{% endif %}
	{% if user.role.permissions.POSITIONS_READ %}<a href="/positions/" class="item noselect nostyle"><div class="fas fa-user-tag"></div><p>Должности</p></a>{% endif %}
	{% if user.role.permissions.CONFIG_EDIT %}<a href="/config/" class="item noselect nostyle"><div class="fas fa-user-shield"></div><p>Доступ</p></a>{% endif %}
{% endblock %}

{% block content %}
	<div class="main-content">
		<div class="horizontal">
			<h1>Сотрудники</h1>
			{% if user.role.permissions.USERS_INVITE %}
				<button class="button" onclick="modalGet('/invites/inv/')">Пригласить</button>
			{% endif %}
			{% include "mainApp/search.html" %}
		</div>
		<div class="list-view">
			<span class="item noselect" id="user">
				<p>Должность</p>
				<p>Имя</p>
				<p class="not-important">Группа</p>
				<p class="not-important">Логин</p>
			</span>
			{% for inv in invites %}
				<div class="item transparent" id="user" onclick="modalGet('/invites/inv/{{ inv.id }}/edit/')">
					<p>{{ inv.position.name }}</p>
					<b>{{ inv.name }}</b>
					<b class="not-important">{{ inv.role }}</b>
					<p class="not-important">(приглашен)</p>
				</div>
			{% endfor %}
			{% for exUser in users %}
				<div class="item" id="user" onclick="modalGet('/users/user/{{ exUser.id }}/edit/')">
					<p>{{ exUser.position.name }}</p>
					<b>{{ exUser.name }}</b>
					<b class="not-important">{{ exUser.role }}</b>
					<p class="not-important">{{ exUser.username }}</p>
				</div>
			{% endfor %}
		</div>
	</div>
{% endblock %}